# 18. Mutare: generează arhivă zip cu „ZonesMap” și „Field”

Generați un arhivă zip cu „ZonesMap” selectat și limita câmpului („Field”).

După executarea interogării GraphQL, utilizatorii pot obține un arhivă zip din `archiveUrl` proprietatea și conținutul exportat cu `comprimat` și `ignorate` rânduri.

{% hint style="info" %}
Arhiva constă din fișiere \*.shp, \*.shx, \*.prj, \*.dbf.
{% endhint %}

{% hint style="danger" %}
`archiveUrl` linkul este accesibil doar pentru **60 sec**.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie ExportData {
  exportData(input: {
    vectorAnalysisMaps: [{ 
      uuid: "<placeholder_of_vectoranalysismap_uuid_1>", 
      uuidParcelă: "<placeholder_of_field_uuid>" 
    }, { 
      uuid: "<placeholder_of_vectoranalysismap_uuid_2>", 
      uuidParcelă: "<placeholder_of_field_uuid>" 
    }]
    fieldBoundaries: [{
      uuid: "<placeholder_of_farm_uuid>", 
      uuidParcelă: "<placeholder_of_field_uuid>"
    }]
  }) {
    archiveUrl
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    zippedFieldBoundaries {
      uuid
      fieldUuid
      status
    }
    ignoredFieldBoundaries {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/18.-mutare-genereaza-arhiva-zip-cu-zonesmap-si-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
